Bug 969599 - wrong file SELinux file labels
wrong file SELinux file labels
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 17:31 EDT by Mike McGrath
Modified: 2015-05-14 19:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:00:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McGrath 2013-05-31 17:31:31 EDT
Description of problem:

Created a downloadable cartridge but the control/* files are bin_t instead of openshift_var_lib_t.  This means they're not editable:

[testtest-mmcgrath9.int.rhcloud.com bin]\> ls -lZ control
-rwxr-xr-x. 51a913a16cec0ee12100023e 51a913a16cec0ee12100023e system_u:object_r:bin_t:s0       control
[testtest-mmcgrath9.int.rhcloud.com bin]\> echo >> control
bash: control: Permission denied
Comment 2 openshift-github-bot 2013-05-31 21:40:11 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/995f95ec79dda0a71525fe21903d4f10f2347d9f
Bug 969599 - selinux policy unnecessarily applied
Comment 3 Meng Bo 2013-06-03 04:19:57 EDT
Checked on both STG(devenv-stage_356) and devenv_3307.

Issue fixed.


Stage:
[app1-bmeng1stg.stg.rhcloud.com downloadable-mock]\> ls -Z bin/
-rwxrwxr-x. 51ac5004dbd93c1d410000a0 51ac5004dbd93c1d410000a0 system_u:object_r:openshift_var_lib_t:s0:c3,c717 control
-rwxrwxr-x. 51ac5004dbd93c1d410000a0 51ac5004dbd93c1d410000a0 system_u:object_r:openshift_var_lib_t:s0:c3,c717 install
-rwxrwxr-x. 51ac5004dbd93c1d410000a0 51ac5004dbd93c1d410000a0 system_u:object_r:openshift_var_lib_t:s0:c3,c717 mock_server.rb
-rwxrwxr-x. 51ac5004dbd93c1d410000a0 51ac5004dbd93c1d410000a0 system_u:object_r:openshift_var_lib_t:s0:c3,c717 post-install
-rwxrwxr-x. 51ac5004dbd93c1d410000a0 51ac5004dbd93c1d410000a0 system_u:object_r:openshift_var_lib_t:s0:c3,c717 setup
-rwxrwxr-x. 51ac5004dbd93c1d410000a0 51ac5004dbd93c1d410000a0 system_u:object_r:openshift_var_lib_t:s0:c3,c717 teardown


Devenv:
[app1-bmeng.dev.rhcloud.com downloadable-mock]\> ls -Z bin/
-rwxrwxr-x. 51ac512daadb2f0735000001 51ac512daadb2f0735000001 system_u:object_r:openshift_var_lib_t:s0:c0,c505 control
-rwxrwxr-x. 51ac512daadb2f0735000001 51ac512daadb2f0735000001 system_u:object_r:openshift_var_lib_t:s0:c0,c505 install
-rwxrwxr-x. 51ac512daadb2f0735000001 51ac512daadb2f0735000001 system_u:object_r:openshift_var_lib_t:s0:c0,c505 mock_server.rb
-rwxrwxr-x. 51ac512daadb2f0735000001 51ac512daadb2f0735000001 system_u:object_r:openshift_var_lib_t:s0:c0,c505 post-install
-rwxrwxr-x. 51ac512daadb2f0735000001 51ac512daadb2f0735000001 system_u:object_r:openshift_var_lib_t:s0:c0,c505 setup
-rwxrwxr-x. 51ac512daadb2f0735000001 51ac512daadb2f0735000001 system_u:object_r:openshift_var_lib_t:s0:c0,c505 teardown

Note You need to log in before you can comment on or make changes to this bug.